
%define rel 2
%define framework kdelibs4support
%define kf5kdelibs4support_major 5
%define libkf5kdelibs4support %mklibname kf5kdelibs4support %{kf5kdelibs4support_major}
%define kf5kdelibs4support_devel %mklibname kf5kdelibs4support -d

Summary:        KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
Name:           %framework
Version: 		5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/framework/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5bluetooth-devel


BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  lib64sm-devel

BuildRequires:  karchive-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdesignerplugin-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  knotifications-devel
BuildRequires:  kparts-devel
BuildRequires:  kservice-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kunitconversion-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kded-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  perl-URI


%description
KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4

%files -f %name.lang
/usr/libexec/kf5/filesharelist
%_sysconfdir/xdg/colors/*
%_sysconfdir/xdg/kdebug.areas
%_sysconfdir/xdg/kdebugrc
%_sysconfdir/xdg/ksslcalist
%_kf5_bindir/kdebugdialog5
%doc %_docdir/HTML/*/kdebugdialog5
%_kf5_bindir/kf5-config
%_kf5_datadir/kf5/locale/*
%_datadir/locale/kf5_all_languages
%_kf5_datadir/kf5/widgets/*
%_kf5_services/qimageioplugins/*.desktop
%_kf5_services/kcm_ssl.desktop
#%_kf5_services/metainfo.protocol
%_qt5_plugindir/designer/kf5deprecatedwidgets.so
%_qt5_plugindir/kcm_ssl.so
%_kf5_plugindir/kded/networkstatus.so
%_kf5_plugindir/kio/metainfo.so
%_kf5_libexecdir/fileshareset
%doc %_docdir/HTML/en/kdebugdialog5
%_kf5_datadir/kf5/kdoctools/customization
%_kf5_datadir/kf5/kssl/ca-bundle.crt
%_kf5_servicetypes/*.desktop
%_mandir
#--------------------------------------------------------------------
%_kf5_libdir/libKF5KDELibs4Support.so.%{kf5kdelibs4support_major}*
#--------------------------------------------------------------------
/usr/share/doc/HTML

%package -n %kf5kdelibs4support_devel

Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %framework-devel = %{version}-%{release}
Requires:       kauth-devel = %version
Requires:       kconfigwidgets-devel = %version
Requires:       kcoreaddons-devel = %version
Requires:       kcrash-devel = %version
Requires:       kdesignerplugin-devel = %version
Requires:       kdoctools-devel = %version
Requires:       kemoticons-devel = %version
Requires:       kguiaddons-devel = %version
Requires:       kiconthemes-devel = %version
Requires:       kitemmodels-devel = %version
Requires:       kinit-devel = %version
Requires:       knotifications-devel = %version
Requires:       kparts-devel = %version
Requires:       ktextwidgets-devel = %version
Requires:       kunitconversion-devel = %version
Requires:       kwindowsystem-devel = %version

%description -n %kf5kdelibs4support_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5kdelibs4support_devel
%_libdir/libKF5KDELibs4Support.so
%_kf5_includedir/KDELibs4Support

%_libdir/cmake/KF5KDELibs4Support
%_libdir/cmake/KF5KDE4Support
%_libdir/cmake/KDELibs4
%_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build
%find_lang %name



%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 5.98.0-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 5.98.0-1pclos2022
- new version

* Mon Aug 15 2022 tex - 5.97.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 5.96.0-1pclos2022
- new version

* Mon Jun 13 2022 tex - 5.95.0-1pclos2022
- new version

* Wed May 25 2022 tex - 5.94.0-1pclos2022
- new version

* Sun Apr 10 2022 tex - 5.93.0-1pclos2022
- new version

* Sun Mar 13 2022 tex - 5.92.0-1pclos2022
- new version

* Mon Feb 14 2022 tex - 5.91.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 5.90.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 5.89.0-1pclos2021
- new version

* Wed Nov 10 2021 tex - 5.88.0-1pclos2021
- new version

* Sat Oct 09 2021 tex - 5.87.0-1pclos2021
- new version

* Mon Sep 13 2021 tex - 5.86.0-2pclos2021
- rebuild against updates

* Sat Sep 11 2021 tex - 5.86.0-1pclos2021
- new version

* Wed Aug 11 2021 tex - 5.85.0-1pclos2021
- new version

* Fri Jul 09 2021 tex - 5.84.0-1pclos2021
- new version

* Sat Jun 12 2021 tex - 5.83.0-1pclos2021
- new version

